@echo off
echo off

if '%1'=='' goto help
if not exist TbScanX.Exe goto err1

echo                         INSTALLATION TBSCANX
echo 
echo            TbScanX is no longer a COM file but an EXE file!
echo          If there is a COM and a EXE file with the same name,
echo                       DOS executes the COM file.
echo          To make sure that TbScanX.EXE file will be executed,
echo                all TbScanX.COM files have to be deleted!
echo          This installation batch file deletes the TbScanX.COM
echo              file in the target directory automatically.
echo      However, if there are other TbScanX.COM files on your system,
echo                   you should delete them manually.

rem  If a file with urgent information exists print it now
if exist Readme.Now type Readme.Now
echo 

rem  Make directory if it does not exist
if not exist %1\nul md %1
rem  Directory should now exist
if not exist %1\nul goto err2
rem  Delete TbScanX.COM if it is there
if exist %1\TbScanX.Com del %1\TbScanX.Com >nul
if exist %1\TbScanX.286 del %1\TbScanX.286 >nul
if exist %1\TbScanX.386 del %1\TbScanX.386 >nul
rem  Copy the files to the target directory
copy TbScanX.Exe %1\TbScanX.Exe >nul
rem  The file should have been copied now
if not exist %1\TbScanX.Exe goto err3
if exist TbScanX?.Exe copy TbScanX?.Exe %1\TbScanX?.Exe >nul
if exist *.Doc copy *.Doc %1\*.Doc >nul
if exist *.dat copy *.dat %1\*.dat >nul
if exist TbScan.Key copy TbScan.Key %1\TbScan.Key >nul
rem  If we are installing the registered version delete the Register.Doc file
if exist TbScan.Key del %1\Register.Doc >nul
if not exist TbScanX.New goto ready
rem  If the target directory contains an old TbScanX.NEW file update it
if exist %1\TbScanX.New copy TbScanX.New %1\TbScanX.New >nul
:ready
echo 
echo TbScanX has been copied to %1.
echo It is recommended to print or read the file TbScanX.Doc.
echo To run TbScanX type "%1\TbScanX".
echo Type "%1\TbScanX -help" to get a help screen.
echo It is recommended to install TbScanX in the Autoexec.Bat or Config.Sys
echo file to start it automatically after a system reboot.
echo This installation batch file can do this automatically for you.
echo If you do NOT want this press Ctrl-C now, otherwise
pause
echo Testing for the presence of Autoexec.Bat...
if not exist c:\autoexec.bat goto err4
echo Adding TbScanX startup invokation line...
echo %1\TbScanX >>C:\Autoexec.Bat
echo TbScanX is now installed in the Autoexec.Bat file.
echo You may want to edit this file to fine tune TbScanX.
echo Consult the manual for more information.
goto end

:err1
echo 
echo Error: TbScanX.Exe not found in current directory.
echo        Change to the drive and directory containing this file.
goto end

:err2
echo 
echo Error: Can not create directory %1\
echo        Invalid path or write protected disk.
echo        You should NOT specify a trailing backslash (\).
goto end

:err3
echo 
echo Error: Can not copy TbScanX.Exe to %1\TbScanX.Exe
echo        Disk probably full or write protected.
goto end

:err4
echo 
echo Error: Can not access C:\Autoexec.Bat file
echo        To install TbScanX manually add the following line to
echo        the Autoexec.Bat file:
echo        "%1\TbScanX"
goto end

:help
echo 
echo This installation batch file installs the TbScanX virus detector.
echo You have to specify the directory where TbScanX has to be installed.
echo If the directory does not exist it will be created.
echo Do NOT specify a trailing backslash (\).
echo Examples:
echo                    installx c:             (install in the root)
echo                    installx d:\tb          (install in directory D:\TB)
:end
echo 


